Get current organization
curl --request GET \
--url https://app.azalt.co/api/v1/organizations/current \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.azalt.co/api/v1/organizations/current"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.azalt.co/api/v1/organizations/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"ownerId": "<string>",
"settings": {
"hasOpenaiApiKey": true,
"hasAnthropicApiKey": true,
"requireFormAssignment": [],
"showRecords": true,
"defaultFormWorkflow": {},
"defaultDashboardStatuses": [],
"navigationTags": {
"forms": [
"<string>"
],
"kpis": [
"<string>"
],
"dashboards": [
"<string>"
]
},
"widgetTheme": {
"customColors": [
"<string>"
],
"aggregateLines": {
"totalColor": "<string>",
"averageColor": "<string>",
"peerAverageColor": "<string>",
"totalStrokeWidth": 4.5,
"averageStrokeWidth": 4.5,
"peerAverageStrokeWidth": 4.5
}
},
"defaultHideFuturePeriods": true
},
"adminSettings": {
"showOrganizationLogo": true,
"showPlatformLogo": true,
"logoHeight": 123,
"grayscaleLogo": true,
"logoContrast": 123,
"showOffset": true,
"showMediaLibrary": true,
"enableAiAssistant": true,
"enableConversationHistory": true,
"enableReportAiDrafting": true,
"emailSenderNameOverride": "<string>",
"terminology": {}
},
"status": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Organization
Get current organization
Retrieve detailed information about the user’s currently active organization.
Organization Details Include:
- Basic organization information (name, description, settings)
- Subscription and billing details
- Feature flags and organizational capabilities
- Hierarchical structure and parent-child relationships
- Administrative settings and configuration options
Context: The “current” organization is determined by the user’s active session context. Users can be members of multiple organizations but work within one organization at a time. This endpoint provides comprehensive details needed for UI customization and feature availability.
GET
/
organizations
/
current
Get current organization
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I

